Bug 1444880 (CVE-2017-8073) - CVE-2017-8073 weechat: Buffer overflow in the irc_ctcp_dcc_filename_without_quotes function
Summary: CVE-2017-8073 weechat: Buffer overflow in the irc_ctcp_dcc_filename_without_q...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-8073
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1444881 1444882
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 13:20 UTC by Andrej Nemec
Modified: 2020-11-05 10:32 UTC (History)
6 users (show)

Fixed In Version: weechat 1.7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:11:05 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-04-24 13:20:41 UTC
WeeChat before 1.7.1 allows a remote crash by sending a filename via DCC to the IRC plugin. This occurs in the irc_ctcp_dcc_filename_without_quotes function during quote removal, with a buffer overflow.

Upstream patch:

https://github.com/weechat/weechat/commit/2fb346f25f79e412cf0ed314fdf791763c19b70b

External References:

https://weechat.org/download/security/

Comment 1 Andrej Nemec 2017-04-24 13:21:08 UTC
Created weechat tracking bugs for this issue:

Affects: epel-all [bug 1444882]
Affects: fedora-all [bug 1444881]

Comment 2 Product Security DevOps Team 2019-06-08 03:11:05 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.